2 Replies Latest reply on Jul 28, 2014 8:17 AM by mcucinat

    What are the system requirements? I can't seem to find them on the site.


      If someone could direct me to the right place. My computer is from 2007, it seems I would just need some sort of update.